## pdns 3.4.1

=== debian/changelog ===
pdns (3.4.1-4+deb8u8) jessie; urgency=medium

  * Add patch fixing security issue:
  * Missing check on API operations: CVE-2017-15091

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2017 21:19:19 +0000

pdns (3.4.1-4+deb8u7) jessie-security; urgency=high

  * Security upload.
  * Improve TSIG signature check to avoid MITM attacks on AXFR inbound
    AXFR transfers. CVE-2016-7073 and CVE-2016-7074.
  * Handle all possible exceptions in webserver thread, avoiding crash
    of main process when an attacker exhausts file descriptors on the
    webserver thread. CVE-2016-7072
  * Drop incoming queries that contain more than one record, avoiding
    extra CPU usage. CVE-2016-7068
  * Improve validation of unhandled record types, avoiding a crash
    on outbound query processing. CVE-2016-2120
  * Improve handling of invalid TSIG records in packets. (Required
    prerequisite patch for the above.)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 07 Jan 2017 00:45:53 +0000

pdns (3.4.1-4+deb8u6) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Reject qname's wirelength > 255, `chopOff()` handle dot inside labels.
    CVE-2016-5426: PowerDNS Authoritative Server accepts queries with a
    qname's length larger than 255 bytes.
    CVE-2016-5427: PowerDNS Authoritative Server does not properly handle
    dot inside labels.
  * Limit size of receivable AXFR data.
    CVE-2016-6172: Improper restriction of zone size limit (Closes: #830808)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 02 Sep 2016 21:43:01 +0200

pdns (3.4.1-4+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload.
  * No-change rebuild against botan1.10.

 -- Markus Koschany <apo@debian.org>  Tue, 10 May 2016 18:27:05 +0200

pdns (3.4.1-4+deb8u4) jessie; urgency=medium

  * Fix upgrades with default configuration.
    The postinst script used to do a "grep include" on pdns.conf, which
    in older versions would work (mostly), because the default config
    only had a single "include=" entry. Now this is no longer true,
    so remove that. Also, changing the include directory would have
    never worked. (Closes: #798773)

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 30 Oct 2015 14:34:36 +0000

pdns (3.4.1-4+deb8u3) jessie-security; urgency=high

  * Security update: apply patches for CVE-2015-5230

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 25 Aug 2015 21:40:18 +0000

pdns (3.4.1-4+deb8u2) jessie-security; urgency=high

  * Security update: apply second patch for CVE-2015-1868

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 08 Jul 2015 11:40:45 +0200

pdns (3.4.1-4+deb8u1) jessie-security; urgency=high

  * Security update: apply patch for CVE-2015-1868

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 21 Apr 2015 21:50:31 +0200

pdns (3.4.1-4) unstable; urgency=medium

  * Remove DROP INDEX domainmetaidindex from MySQL schema upgrade files.
    The Debian schema files since at least wheezy didn't have that index,
    so we can't drop it. It'd be nicer if we could say DROP INDEX IF EXISTS,
    but apparently there's no such thing in MySQL.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #773345)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 23 Dec 2014 12:29:35 +0100

pdns (3.4.1-3) unstable; urgency=medium

  * Fix PACKAGEVERSION not having the actual version.
    Due to #766559 in dpkg, PACKAGEVERSION ended up not containing the
    version part. Fixed by using the alternate syntax that
    dpkg-parsechangelog understands since 1.17.0, thereby avoiding
    a dependency bump to dpkg 1.17.21. (Closes: #769701)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 15 Nov 2014 18:24:42 +0100

pdns (3.4.1-2) unstable; urgency=medium

  * Bump dpkg-dev dependency for dpkg-parsechangelog -S, which
    is used to pass the package version to the build process.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 03 Nov 2014 18:57:24 +0100

pdns (3.4.1-1) unstable; urgency=medium

  * Imported Upstream version 3.4.1, a bug fix release, that:
    * Fixes slaving of DNSSEC-signed zones to NSD or BIND.
    * Fixes pdnssec increase-serial to not break SOA records
      in DNSSEC zones.
    * Adds security status polling. (We set the package vendor
      and version for this.)
  * Remove patch 0001-API-Replace-HTTP-Basic-auth-with-static-key-in-custom,
    which has been applied upstream.
  * Resync pdns.conf with upstream
  * Update debian/watch file, as upstream has changed to bz2 files.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 01 Nov 2014 23:08:08 +0100

pdns (3.4.0-2) unstable; urgency=medium

  * Apply patch from upstream switching API auth to a static key.
  * Install upstream-supplied SQL schema files (Closes: #763555)
  * Remove bindbackend.conf on purge (Closes: #678929)
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 15 Oct 2014 08:34:22 +0200

pdns (3.4.0-1) unstable; urgency=medium

  * New upstream release, send to unstable.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 30 Sep 2014 11:55:46 +0200

pdns (3.4.0~rc1+2014082902-1) experimental; urgency=medium

  * Fix typo in init script, causing stop to not work
  * Add a smoke test as an autopkgtest
  * Install systemd unit file for pdns
  * Imported Upstream version 3.4.0~rc1+2014082902

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 31 Aug 2014 07:33:48 +0200

pdns (3.4.0~rc1+20140829-1) experimental; urgency=medium

  * Imported Upstream version 3.4.0~rc1+20140829

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 29 Aug 2014 21:26:13 +0200

pdns (3.4.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate, target experimental
    * Update schema files for 3.4.0
    * Add lmdb, mydns, remote backends
    * Remove upstream applied patch to honor PKGLIBDIR
  * Build tests in verbose mode
  * Explicitly build with bind backend
  * Stop installing lib*backend.a

