## pdns 3.4.4

=== debian/changelog ===
pdns (3.4.4-2~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 30 Apr 2015 19:56:29 +0200

pdns (3.4.4-2) unstable; urgency=medium

  * Add performance patch from upstream's 3.4.x branch.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 30 Apr 2015 19:45:02 +0200

pdns (3.4.4-1) unstable; urgency=medium

  * Imported Upstream version 3.4.4 (Fixes CVE-2015-1868)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 23 Apr 2015 23:21:05 +0200

pdns (3.4.1-4+deb8u1~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports, including security fix for
    CVE-2015-1868.

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 24 Apr 2015 13:31:16 +0200

pdns (3.4.1-3~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Remove lmdb backend, as liblmdb-dev is unavailable.
  * Remove systemd support, as dh-systemd is unavailable
  * Replace dpkg-parsechangelog -S with wheezy compatible approach
  * Fix secpoll version.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 24 Nov 2014 14:48:04 +0100

pdns (3.3.1-3~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 09 Jun 2014 16:49:22 +0200
