=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 
 # Vendor and version
-version := $(shell dpkg-parsechangelog -SVersion).$(shell dpkg-vendor --query Vendor)
+version := $(shell dpkg-parsechangelog | awk '/^Version: /{ print $$2 }').$(shell dpkg-vendor --query Vendor)
 CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
 
 # Backends
-backends := bind ldap pipe gmysql gpgsql gsqlite3 geo lua lmdb mydns remote
+backends := bind ldap pipe gmysql gpgsql gsqlite3 geo lua mydns remote
 
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -44,9 +44,7 @@
 
 # init script needs to be named pdns, not pdns-server
 override_dh_installinit:
-	dh_systemd_enable --name=pdns
 	dh_installinit --name=pdns
-	dh_systemd_start --restart-after-upgrade
 
 # Verbose build (shows used compiler/linker and their flags)
 override_dh_auto_build-arch:
