=== debian/tests/control ===
Tests: smoke
Depends: pdns-server, dnsutils
Restrictions: needs-root
