## pdns 3.4.5

=== debian/changelog ===
pdns (3.4.5-1build2) wily; urgency=medium

  * No-change rebuild against libbotan-1.10-1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Aug 2015 20:52:15 +0000

pdns (3.4.5-1build1) wily; urgency=medium

  * No-change rebuild against libbotan-1.10-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:15:45 +0200

pdns (3.4.5-1) unstable; urgency=medium

  * New upstream version 3.4.5, remove patches applied upstream.
  * Unconditionally rely on invoke-rc.d, available since sarge.
  * Fix "empty paragraphs" in debian/copyright.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 09 Jun 2015 21:34:14 +0200
