## pdns 3.4.6

=== debian/changelog ===
pdns (3.4.6-1~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 03 Sep 2015 12:44:52 +0000

pdns (3.4.6-1) unstable; urgency=medium

  * New upstream release, fixes security issue: CVE-2015-5230

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 28 Aug 2015 15:55:27 +0000

pdns (3.4.5-3) unstable; urgency=medium

  * Stop installing files into /etc/insserv.d:
    As a fix for #585966, pdns-server started installing a configuration
    file into /etc/insserv.conf.d. But in 2011 this has been changed so
    the file went into /etc/insserv.d instead. As this hasn't been
    noticed quite a long time I suspect nobody is actually relying on
    pdns-server providing $named, and really nobody should rely on that.
    After all, pdns-server is meant to provide authoritative services,
    not recursion.
  * Stop building with libcrypto++
    All features are satisfied by building with botan1.10 anyway, and
    upstream's binary packages also don't build with libcrypto++. This
    should allow us building on armel again.
  * autopkgtest: Stop pdns after testing
  * Add autopkgtest for mysql backend
  * Add autopkgtest for postgresql backend

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 23 Aug 2015 16:39:41 +0000

pdns (3.4.5-2) unstable; urgency=medium

  * Build pdns.conf at package build time
  * Ship tinydns backend as new package pdns-backend-tinydns (Closes: #757287)
  * Upgrade (mysql|postgresql)-client to dependencies.
    Fixes the remove case of pdns-backend-(mysql|pgsql) when a
    database was created using dbconfig-common. (Closes: #793593)
  * debian/copyright: Fix various lintian warnings
  * Fix URL pattern in watch file
  * d/watch: Add upstream signature check
  * wrap-and-sort all debian/* files

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 17 Aug 2015 10:53:40 +0200

pdns (3.4.5-1~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 16 Jun 2015 12:32:17 +0200
