=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
 
 # Backends
-backends := bind ldap pipe gmysql gpgsql gsqlite3 geo lua mydns remote
+backends := bind ldap pipe gmysql gpgsql gsqlite3 geo lua mydns remote tinydns
 
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -28,7 +28,7 @@
 		--with-modules="" \
 		--with-system-polarssl \
 		--with-pgsql-includes=`pg_config --includedir` \
-		--enable-cryptopp \
+		--disable-cryptopp \
 		--enable-botan1.10 \
 		--enable-tools \
 		--enable-unit-tests
@@ -41,6 +41,20 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod 755 debian/pdns-server/etc/resolvconf/update.d/pdns
+
+override_dh_auto_install:
+	mkdir -p debian/pdns-server/usr/share/pdns-server
+	./pdns/pdns_server --no-config --config | sed \
+		-e 's!# config-dir=.*!config-dir=/etc/powerdns!' \
+		-e 's!# daemon=.*!daemon=yes!' \
+		-e 's!# guardian=.*!guardian=yes!' \
+		-e 's!# module-dir=.*!!' \
+		-e 's!# include-dir=.*!&\ninclude-dir=/etc/powerdns/pdns.d!' \
+		-e 's!# launch=.*!&\nlaunch=!' \
+		-e 's!# setgid=.*!setgid=pdns!' \
+		-e 's!# setuid=.*!setuid=pdns!' \
+		> debian/pdns-server/usr/share/pdns-server/pdns.conf
+	dh_auto_install
 
 # init script needs to be named pdns, not pdns-server
 override_dh_installinit:
