## pdns 3.4.7

=== debian/changelog ===
pdns (3.4.7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jan 2016 22:38:10 +0100

pdns (3.4.7-1) unstable; urgency=medium

  * New upstream release. Operating, stability, interop improvements.
    Adds OPENPGPKEY support. New default-soa-edit(-signed) settings.
  * Includes fix for CVE-2015-5311 (remote DoS).

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 08 Nov 2015 13:43:27 +0000

pdns (3.4.6-3) unstable; urgency=medium

  * Remove unused Build-Dependencies
  * pdns-tools: Correctly Break/Replace pdns-server << 3.4.6-2.
    As some pdns-tools files were previously shipped in pdns-server.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #802737)
  * Fix upgrades with default configuration.
    The postinst script used to do a "grep include" on pdns.conf, which
    in older versions would work (mostly), because the default config
    only had a single "include=" entry. Now this is no longer true,
    so remove that. Also, changing the include directory would have
    never worked. (Closes: #798773)
    Thanks to Stephen Frost <sfrost@snowman.net>.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 25 Oct 2015 15:22:57 +0000

pdns (3.4.6-2) unstable; urgency=medium

  * Retroactively add CVE to 3.4.6-1 changelog
  * Move pdns.conf creation to override_dh_install.
    Purely cosmetic, but aligned with the upstream packaging.
  * Replace geobackend with geoipbackend (Closes: #798566)
  * Ship (more) tools as part of the new pdns-tools package

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 10 Sep 2015 21:51:38 +0000

pdns (3.4.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 03 Sep 2015 12:11:30 +0000

pdns (3.4.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 15 Jun 2015 23:42:14 +0200

pdns (3.4.4-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 30 Apr 2015 20:21:48 +0200
