=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                bison,
                debhelper (>= 9~),
                dh-autoreconf,
-               dpkg-dev (>= 1.16.1~),
+               dh-systemd,
+               dpkg-dev (>= 1.17.0~),
                flex,
                libboost-dev,
                libboost-program-options-dev,
@@ -20,17 +21,16 @@
                libboost-test-dev,
                libbotan1.10-dev,
                libcdb-dev,
-               libcurl4-openssl-dev,
-               libgdbm-dev,
-               libgmp-dev,
+               libgeoip-dev,
                libldap2-dev,
+               liblmdb-dev,
                liblua5.1-0-dev,
                libmysqlclient-dev,
                libpolarssl-dev,
                libpq-dev,
                libsqlite3-dev,
-               libssl-dev,
                libtool,
+               libyaml-cpp-dev (>= 0.5),
                libzmq-dev,
                pkg-config,
                po-debconf,
@@ -73,6 +73,30 @@
  This package contains debugging symbols for PowerDNS to assist in
  debugging, such as gdb. It is not required for normal operation.
 
+Package: pdns-tools
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: pdns-server (<< 3.4.6-2)
+Breaks: pdns-server (<< 3.4.6-2)
+Description: Tools for DNS debugging by PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains several tools to debug DNS issues. These tools do not
+ require any part of the PowerDNS server components to work.
+ .
+ * dnsbulktest: A resolver stress-tester
+ * dnsgram: Show per 5-second statistics to study intermittent resolver issues
+ * dnsreplay: Replay a pcap with DNS queries
+ * dnsscan: Prints the query-type amounts in a pcap
+ * dnsscope: Calculates statistics without replaying traffic
+ * dnstcpbench: Perform TCP benchmarking of DNS servers
+ * dnswasher: Clean a pcap of identifying IP information
+ * nsec3dig: Calculate the correctness of NSEC3 proofs
+ * saxfr: AXFR zones and show extra information
+
 Package: pdns-backend-pipe
 Architecture: any
 Depends: pdns-server (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -99,19 +123,20 @@
  .
  This package contains an LDAP backend for the PowerDNS nameserver.
 
-Package: pdns-backend-geo
-Architecture: any
-Depends: pdns-server (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Provides: pdns-backend
-Description: geo backend for PowerDNS
- PowerDNS is a versatile nameserver which supports a large number
- of different backends ranging from simple zonefiles to relational
- databases and load balancing/failover algorithms.
- PowerDNS tries to emphasize speed and security.
- .
- This package contains a geobackend for the PowerDNS nameserver. This backend
- balances the load throughout the world so that people access the
- geographically nearest available server.
+Package: pdns-backend-geoip
+Architecture: any
+Depends: pdns-server (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Provides: pdns-backend
+Description: geoip backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains a geoip-backend for the PowerDNS nameserver. This
+ backend balances the load throughout the world so that people access the
+ geographically nearest available server based on a zonefile written in
+ YAML.
 
 Package: pdns-backend-mysql
 Architecture: any
@@ -180,6 +205,19 @@
  .
  This package contains the Lua backend for PowerDNS.
 
+Package: pdns-backend-lmdb
+Architecture: any
+Depends: pdns-server (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Provides: pdns-backend
+Description: lmdb backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains the Symas Lightning Memory-Mapped Database
+ backend for PowerDNS.
+
 Package: pdns-backend-remote
 Architecture: any
 Depends: pdns-server (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
